UM .NET API 6.17.1

- Main Page
- Related Pages
- Packages
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
com.latencybusters.lbm.UMERegistrationIdExCallbackInfo Class Reference

UME Registration ID Extended Callback Info class. More...

## Public Member Functions
| UMERegistrationIdExCallbackInfo ()
| Creates a UMERegistrationIdExCallbackInfo object and sets all fields to 0/null.
| UMERegistrationIdExCallbackInfo (string source, uint sourceRegId, string store, ushort storeIndex, int flags, object srcCbArg)
| Creates a UMERegistrationIdExCallbackInfo object and initializes fields to the given values. More...
uint | sourceRegistrationId ()
| Get the source's registration ID. More...
ushort | storeIndex ()
| Get the store's index. More...
string | store ()
| Get the store name (IP address). More...
string | source ()
| Get the source name (IP address). More...
int | flags ()
| Get informational flags. More...
object | sourceClientObject ()
| Get per-source client object. More...

## Detailed Description

UME Registration ID Extended Callback Info class.

Contains information passed to user-supplied UME registration ID callbacks.

## Constructor & Destructor Documentation

com.latencybusters.lbm.UMERegistrationIdExCallbackInfo.UMERegistrationIdExCallbackInfo | ( | string | source,
|  | uint | sourceRegId,
|  | string | store,
|  | ushort | storeIndex,
|  | int | flags,
|  | object | srcCbArg
| ) |  |

Creates a UMERegistrationIdExCallbackInfo object and initializes fields to the given values.

Parameters

  source | Name (IP address) of the source.
  sourceRegId | Reg ID of the source.
  store | Name (IP address) of the store.
  storeIndex | Index of the store.
  flags | Informational flags.
  srcCbArg | Client-supplied source callback object if using the LBMSourceCreationCallback callback.

Exceptions

  com.latencybusters.lbm.LBMEInvalException | Source registration ID must be >= 0.
  com.latencybusters.lbm.LBMEInvalException | Store index must be >= 0.

## Member Function Documentation

int com.latencybusters.lbm.UMERegistrationIdExCallbackInfo.flags | ( |  | ) |

Get informational flags.

Returns
  Flags.

string com.latencybusters.lbm.UMERegistrationIdExCallbackInfo.source | ( |  | ) |

Get the source name (IP address).

Returns
  Source name (IP address).

object com.latencybusters.lbm.UMERegistrationIdExCallbackInfo.sourceClientObject | ( |  | ) |

Get per-source client object.

Returns
  Per-source client object.

uint com.latencybusters.lbm.UMERegistrationIdExCallbackInfo.sourceRegistrationId | ( |  | ) |

Get the source's registration ID.

Returns
  Source registration ID.

string com.latencybusters.lbm.UMERegistrationIdExCallbackInfo.store | ( |  | ) |

Get the store name (IP address).

Returns
  Store name (IP address).

ushort com.latencybusters.lbm.UMERegistrationIdExCallbackInfo.storeIndex | ( |  | ) |

Get the store's index.

Returns
  Store index.

The documentation for this class was generated from the following file:

- UMERegistrationIdExCallbackInfo.cs